uses SysUtils;
var
 i,j,k,i1,i2,t: integer;
 a:array[1..99] of integer;
 s:string;
begin
// randseed:=31415; // test 12
 randseed:=51413; // test 13
 k:=random(99)+1;
 writeln(99);
 j:=1;
 for i:=0 to 99 do
 begin
   if i=k then continue;
   a[j]:=i;
   inc(j);
 end;
 for i:=1 to 100 do begin
   i1:=random(99)+1;
   i2:=random(99)+1;
   t:=a[i1]; a[i1]:=a[i2]; a[i2]:=t;
 end;

 for i:=1 to 99 do begin
   s:='';
   if a[i]<10 then s:=s+'0';
   s:=s+IntToStr(a[i]);

   //случайно заменяем звездочками
   t:=random(100);
   if t<25 then s[1]:='*';
   t:=random(100);
   if t<25 then s[2]:='*';

   write(s);
   if i<99 then write(' ') else writeln;

 end;

end.
